#!/bin/sh
if [ "_$ASANY9"  = "_" ]; then
   echo "Error: ASANY9 environment variable is not set."
   echo "Set ASANY9 to your SQL Anywhere installation directory"
   exit 0
fi
__ASA=$ASANY9
__ASABIN=$__ASA/bin

if [ "_$ASASAMPLES" = "_" ]; then
    __ASASAMPLES=$__ASA/samples
fi

#  Make directories for the remote databases
mkdir remote_1
mkdir remote_2

#  Define the ODBC data sources
$__ASABIN/dbdsn -w dsn_consol -y -c "uid=DBA;pwd=SQL;dbf=./consol.db;eng=consol;Driver=$ASANY9/lib/dbodbc9_r.bundle"
$__ASABIN/dbdsn -w dsn_remote_1 -y -c "uid=DBA;pwd=SQL;dbf=./remote_1/remote.db;eng=remote_1;Driver=$ASANY9/lib/dbodbc9_r.bundle"
$__ASABIN/dbdsn -w dsn_remote_2 -y -c "uid=DBA;pwd=SQL;dbf=./remote_2/remote.db;eng=remote_2;Driver=$ASANY9/lib/dbodbc9_r.bundle"

#  Construct the consolidated database
$__ASABIN/dbinit consol.db
$__ASABIN/dbisql -c "dsn=dsn_consol" read build_consol.sql
$__ASABIN/dbisql -c "dsn=dsn_consol" read mlmaint.sql
$__ASABIN/dbmluser -c "dsn=dsn_consol" -u SSinger -p SSinger
$__ASABIN/dbmluser -c "dsn=dsn_consol" -u PSavarino -p PSavarino

#  Construct generic portion of remote databases, without synchronization subscriptions
$__ASABIN/dbinit remote_1/remote.db
$__ASABIN/dbisql -c "dsn=dsn_remote_1" read build_remote.sql
cp remote_1/remote.db remote_2/remote.db

#  Apply those pieces that are specific to each individual database
$__ASABIN/dbisql -c "dsn=dsn_remote_1" read customize.sql [SSinger] [2]
$__ASABIN/dbisql -c "dsn=dsn_remote_2" read customize.sql [PSavarino] [3]
