#!/bin/sh
if [ "_$ASANY9"  = "_" ]; then
   echo "Error: ASANY9 environment variable is not set."
   echo "Set ASANY9 to your SQL Anywhere installation directory"
   exit 0
fi
__ASA=$ASANY9
__ASABIN=$__ASA/bin

if [ "_$ASASAMPLES" = "_" ]; then
    __ASASAMPLES=$__ASA/samples
fi

#  Define the ODBC data sources

$__ASABIN/dbdsn -w dsn_consol -y -c "uid=DBA;pwd=SQL;dbf=./consol.db;eng=consol;Driver=$ASANY9/lib/dbodbc9_r.bundle"
$__ASABIN/dbdsn -w dsn_remote_1 -y -c "uid=DBA;pwd=SQL;dbf=./remote_1.db;eng=remote_1;Driver=$ASANY9/lib/dbodbc9_r.bundle"
$__ASABIN/dbdsn -w dsn_remote_2 -y -c "uid=DBA;pwd=SQL;dbf=./remote_2.db;eng=remote_2;Driver=$ASANY9/lib/dbodbc9_r.bundle"

#  Construct the consolidated database
$__ASABIN/dbinit consol.db
$__ASABIN/dbisql -c "dsn=dsn_consol" build_consol.sql

#  Construct the remote database
$__ASABIN/dbinit remote_1.db
$__ASABIN/dbinit remote_2.db
$__ASABIN/dbisql -c "dsn=dsn_remote_1" read build_remote.sql [user1] [2]
$__ASABIN/dbisql -c "dsn=dsn_remote_2" read build_remote.sql [user2] [3]

