#!/bin/sh
if [ "_$ASANY9"  = "_" ]; then
   echo "Error: ASANY9 environment variable is not set."
   echo "Set ASANY9 to your SQL Anywhere installation directory"
   exit 0
fi
__ASA=$ASANY9
__ASABIN=$__ASA/bin

if [ "_$ASASAMPLES" = "_" ]; then
    __ASASAMPLES=$__ASA/samples
fi

if [ "_$JAVA_HOME" = "_" ]; then
    echo "Error: JAVA_HOME environment variable is not set."
    echo "Set JAVA_HOME to your JDK installation directory"
    exit 0
fi

#  Define the ODBC data sources
$__ASABIN/dbdsn -w dsn_consol -y -c "uid=DBA;pwd=SQL;dbf=./consol.db;eng=Consol;Driver=$ASANY9/lib/dbodbc9_r.bundle"
$__ASABIN/dbdsn -w dsn_remote -y -c "uid=DBA;pwd=SQL;dbf=./remote.db;eng=Remote;Driver=$ASANY9/lib/dbodbc9_r.bundle"

#  Construct the consolidated database
$__ASABIN/dbinit consol.db
$__ASABIN/dbisql -c "dsn=dsn_consol;autostop=no" build_consol.sql
$__ASABIN/dbisql -c "dsn=dsn_consol" add_data_consol.sql
$__ASABIN/dbstop -c "dsn=dsn_consol"

#  Construct the remote database
$__ASABIN/dbinit remote.db
$__ASABIN/dbisql -c "dsn=dsn_remote" build_remote.sql


#  Compile the Java synchronization logic
__CLASSPATH=$__ASA/java/mlscript.jar

$JAVA_HOME/bin/javac -classpath "$__CLASSPATH" *.java

